﻿using System.Threading.Tasks;

namespace Robware.Auth.Users {
	public interface IAuthenticator {
		Task<(AuthenticationResult Result, User User)> Authenticate(string username, string password);
		Task<AuthenticationResult> UpdateUserPassword(string username, string oldPassword, string newPassword);
	}
}